<?php


function WactReflectionFunctionTester($x) {
}

class WactReflectionFunctionTestCase extends Wact_Test_Case {

    function testGetParameters() {
        $func = new Wact_Reflection_Function('WactReflectionFunctionTester');
        foreach($func->getParameters() as $name => $parameter) {
            $this->assertIsA($parameter, 'Wact_Reflection_Parameter');
            $this->assertEqual($parameter->getName(), 'x');
        }
        
    }

}    
?>